%Calcolo delle Capacit Termiche
%del trasformatore. Si suppone che
%che le colonne ed i gioghi siano
%a sezione quadrata

%DATI
Sn=2500;    %Pot.Nominale [VA]

L=25;   %Lunghezza totale del Trasf. [cm]
H=25;   %Altezza totale del Trasf. [cm]
W=6;    %Profondit del giogo [cm]

h1=6;    %altezza del giogo [cm]
l1=6;    %larghezza colonna [cm]
l2=0.5;  %Luce tra gli avvolgimenti [cm]

%                            v
%   -------------------------------------   ^   
%   -------------------------------------   |   
%   -------------------------------------   |   
%   |||||           |||||    ^      |||||   |
%   |||||           |||||    | h1   |||||   |
%   |||||           |||||           |||||   H
%   |||||          >|||||<--l1      |||||   |
%   |||||           |||||           |||||   |
%   |||||           |||||           |||||   |
%   -------------------------------------   |
%   -------------------------------------   |  
%   -------------------------------------   v
%   <-----------------L----------------->


Cspfe=3.55*1e6; %Calore specifico del ferro [J/(m^3*C)]
Cspcu=3.46*1e6; %Calore specifico del rame [J/(m^3*C)]


%CALCOLI
lf=(L-3*l1)/2;  %Larghezza della Finestra [cm]
hf=H-2*h1;      %Altezza della Finestra [cm]

Vfe=(L*H*W-2*(lf*hf*W))*1e-6;    %Volume Ferro [m^3]

r1=W/sqrt(2);    %Raggio interno dell'avvolgimento [cm]
r2=(lf+l1-l2)/2; %Raggio esterno dell'avvolgimento [cm]   

Scu=pi*(r2^2-r1^2)*1e-4;     %Superficie del rame [m^2]

%Si suppone che l'altezza dell'avvolgimento sia uguale
%a quella della finestra.
%Si considera il 10% del volume degli avvolgimenti
%costituito da materiale isolante
Vcu=0.9*Scu*lf/100;    %Volume del Rame [m^3]

Ctfe=Vfe*Cspfe;
Ctcu=Vcu*Cspcu;

Ct=Ctfe+Ctcu;   %Capacit termica complessiva [J/C]

%Tt=55.5*60;     %Costante di tempo termica primo trasf. [s]

Tt=43*60;     %Costante di tempo termica secondo trasf. [s]

Rt=Tt/Ct;       %resistenza Termica [C/W]

Gt=1/Rt;         %ammettenza Termica [W/C]

DTreg=49.3;    %Variaz. di Temperatura di Regime a Pot.Nom. [C]

Pp=DTreg/Rt;    %Potenza Perduta [W]

pp=Pp/Sn*100;   %Potenza Perduta Percentuale


