%Raffreddamento Totale: dopo aver portato
%il trasf. a temperatura di 71.9C lo si
%lascia raffreddare

T0=21.5;    %Temp. Ambiente [C]
DTreg=49.3; %Var.Termica di Regime [C]

T5=[71.9 69.3 67.5 66.5 66.4 64.7 64.1 63.9 62.8...
        61.9 60.6 59.6 59.2 58.1 55.8];
DT5=T5-T0;

t5=0:1:14;

%cftool(t5,DT5);

Tt3=1/0.02327;       %Costante di Tempo termica [min]

figure;
t=0:1:250;
y=DTreg*exp(-t/Tt3);
subplot(2,1,1),plot(t5,DT5,'bx');
hold on;
plot(t,y,'r');
axis([0 50 0 52]);
title('Interpolazione valori misurati','FontWeight','bold');
ylabel('Var. di Temperatura \Delta \theta [C]');
legend('Dati Misurati','Interpolazione');
hold off;
subplot(2,1,2),plot(t,y,'r','LineWidth',2);
hold on;
t=0:0.1:1.05*Tt3;
plot(t,-DTreg/Tt3*t+DTreg);
line([0 250],[0 0],'Color','m','LineStyle','--');
text(10,-5,'T=43 min');
title('Curva di Raffreddamento','FontWeight','bold');
xlabel('Tempo in Minuti');
ylabel('Var. di Temperatura \Delta \theta');
axis([0 250 -10 45]);
hold off;

