%PROVA DI COLLAUDO DEL
%TRASFORMATORE TRIFASE
%PROVE DI RISCALDAMENTO

%DATI di TARGA

Sn=2500;    %VA
f=50;       %Hz
V1n=380;    %V
V2n=220;     %V
Classe='E';


I1n=Sn/(sqrt(3)*V1n);   %Corrente Nominale Primaria

%RISCALDAMETO
%Prova eseguita ponendo il circuito secondario (220V) in cto-cto
%ed alimentando il primario (380V) a tensione ridotta in modo
%tale che I1=I1n

Vcc=21.4;   %Tensione di cto-cto [V]

T0=21.5;   %Temperatura iniziale [C]

%I rilievi di temperatura vengono eseguiti
%ad intervalli regolari di 1 minuto

T1=[21.5 22.47 23.56 24.58 25.54 26.45 27.3 28.13 28.85...
        29.59 30.28 30.98 31.66 32.28 32.86 33.54 34.13...
        34.68 35.27 35.82 36.31 36.78 37.29 37.82 38.33 38.90...
        39.36 39.83 40.27 40.73 41.25 41.70 42.16 42.66 43.11...
        43.53 43.92 44.20 44.55 44.92 45.35 45.68 46.07 46.50...
        46.93 47.32 47.50 47.90 48.31 48.56 48.89 49.11 49.29...
        49.54 49.80 50.37 50.73 51.16 51.77 52.11 52.30 52.49...
        52.77 53.20 53.36 53.51 53.85 54.10 54.42 54.76 54.92...
        55.17 55.60 56.10 56.30 56.50 56.96 57.25 57.61 58.10...
        58.20 58.40 58.70 58.80 58.94 58.95 59.02 59.34 59.45...
        59.50 59.82 59.90 60.17 60.46 60.80 60.94 61.27 61.42...
        61.45 61.72 61.95 62.15 62.35 62.75 62.80 62.95 63.05...
        63.35 63.62];

t1=0:1:108;

DT1=T1-T0;  %Variazione della temperatura rispetto a quella iniziale.

%cftool(t1,DT1);
%Risultati del CFTOOL
DTreg=49.3;     %Temperatura di Regime [C]
Tt1=1/0.01675;   %Costante di Tempo termica [min]





%RAFFREDDAMENTO
T3=[63.62 63.13 62.23 61.50 60.70 59.86 58.82 58.10 57.40...
        56.76 56.10 55.58 55.03 54.31 53.81 53.24];

DT3=T3-T0;

t3=0:1:15;

%cftool(t3,DT3);
%Risultati del CFTOOL

Tt2=1/0.0195;  %Costante di Tempo termica [min]





%Plotta i risultati della prova di Riscaldamento
% e di Raffreddamento (by Andrea P.)

figure;
subplot(2,1,1),plot(t1,DT1,'bx');
hold on;
t=0:1:118;
y=DTreg*(1-exp(-t/Tt1));
plot(t,y,'r');
hold off;
title('Interpolazione valori misurati','FontWeight','bold');
legend('Dati Misurati','Interpolazione');
ylabel('Var. di Temperatura \Delta \theta');
t=0:1:250;
y=DTreg*(1-exp(-t/Tt1));
subplot(2,1,2),plot(t,y,'r','LineWidth',2);
hold on;
line([0 250],[DTreg DTreg],'Color','m','LineStyle','--');
line([Tt1 Tt1],[0 DTreg+4],'Color','m','LineStyle','--');
text(5,50,'\Delta \theta_{reg}=49.3 C');
text(Tt1+5,5,'T=59.7 min');
t=0:0.1:1.05*Tt1;
plot(t,DTreg/Tt1*t);
axis([0 250 0 60]);
title('Servizio Continuo','FontWeight','bold');
xlabel('Tempo [min]');
ylabel('Var. di Temperatura \Delta \theta');
hold off;

figure;
t=0:1:250;
y=DT3(1)*exp(-t/Tt2);
subplot(2,1,1),plot(t3,DT3,'bx');
hold on;
plot(t,y,'r');
axis([0 50 0 52]);
title('Interpolazione valori misurati','FontWeight','bold');
ylabel('Var. di Temperatura \Delta \theta');
legend('Dati Misurati','Interpolazione');
hold off;
subplot(2,1,2),plot(t,y,'r','LineWidth',2);
hold on;
t=0:0.1:1.05*Tt2;
plot(t,-DT3(1)/Tt2*t+DT3(1));
line([0 250],[0 0],'Color','m','LineStyle','--');
text(10,-5,'T=51.3 min');
title('Curva di Raffreddamento','FontWeight','bold');
xlabel('Tempo [min]');
ylabel('Var. di Temperatura \Delta \theta');
axis([0 250 -10 45]);
hold off;

%La fase di riscaldamento  subito
%seguita da quella di raffreddamento:
y1b=DTreg*(1-exp(-t1/Tt1));
t3b=108.8:1:350;
y3b=DT3(1)*exp(-(t3b-108)/Tt2);

figure;
plot(t1,y1b,'r','LineWidth',2);
hold on;
plot(t3b,y3b,'r','LineWidth',2);
grid on;
line([108 108],[0 41.2],'Color','m','LineStyle','--');
line([0 109],[41.2 41.2],'Color','m','LineStyle','--');
plot(108,DTreg*(1-exp(-108/Tt1)),'ko');
title('Riscaldamento e Raffreddamento','FontWeight','bold');
xlabel('Tempo [min]');
ylabel('Var. di Temperatura [C]');
hold off;