%Servizio di Durata Limitata (by Andrea Pratic)

T0=21.5;       %Temp. Ambiente [C]
DTreg=49.3;    %Variaz. di Temperatura di Regime a Pot.Nom. [C]
T=55.5;        %Costante di tempo Termica [min]


T6=[21.6 25.8 29.3 33.8 36.2 39.6 43.4 46.8 50.4 53.9...
        57.2 60.3 63.3 66.7 68.0];

DT6=T6-T0;

t6=[0:1:13 13.5];

%cftool(t6,DT6);
%Risultati del CFTOOL
Tt4=1/0.01783;
DTreg4=217.7;





figure;
subplot(2,1,1),plot(t6,DT6,'xb');
hold on;
t=0:1:30;
y=DTreg4*(1-exp(-t/Tt4));
plot(t,y,'r');
hold off;
title('Interpolazione valori misurati','FontWeight','bold');
legend('Dati Misurati','Interpolazione');
ylabel('Var. di Temp. \Delta \theta [C]');
t=0:1:300;
y=DTreg4*(1-exp(-t/Tt4));
subplot(2,1,2),plot(t,y,'r','LineWidth',2);
hold on;
line([0 300],[DTreg4 DTreg4],'Color','m','LineStyle','--');
line([0 300],[DTreg DTreg],'Color','m','LineStyle','--');
text(5,225,['\Delta \theta''_{reg}=',num2str(DTreg4),' C']);
text(50,50,['\Delta \theta_{reg}=',num2str(DTreg),' C']);
%axis([0 250 0 60]);
title('Servizio di Durata Limitata','FontWeight','bold');
xlabel('Tempo [min]');
ylabel('Var. di Temp. \Delta \theta [C]');
hold off;


t=0:1:200;
y1=DTreg*(1-exp(-t/T));
y2=4*DTreg*(1-exp(-t/T));

ta=T*log(4/3);

figure;
plot(t,y1);
line([0 200],[DTreg DTreg],'Color','m','LineStyle','--');
text(60,50,'\Delta \theta_{reg}=49.3 C');
text(80,28,'I=I_n');
hold on;
plot(t,y2,'r');
line([0 200],[4*DTreg 4*DTreg],'Color','m','LineStyle','--');
text(60,200,'4 \cdot \Delta \theta_{reg}=197.2 C');
text(80,140,'I=2 \cdot I_n');
line([ta ta],[0 50],'Color','m','LineStyle','--');
plot(ta,DTreg,'ok');
text(ta+5,7,'t^*=16 min');
axis([0 200 0 210]);
title('Andamento Teorico','FontWeight','bold');
hold off;